#!/bin/bash
# Script to send 2 values to ESP Display
# v1.0 2020-01-18 Ath

ESPADDR=
BASEIP=192.168.1.
# Last IP byte of ESP units to send data to:
IPLIST="61 62 63"
ESPLEFT=
# Start column of the OLED/OLEDFRAMEDCMD text
ESPCOL=1
# Use OledFramed = 1 (P036), else use Oled plugin (P023)
ESPFRAMED=1
# Include start-time of inverter
ESPNOW=1

echo $0 $*

if [ "$1" = "" ]; then
  pac=0
else
  pac=$1
fi

if [ "$pac" != "" ]; then
  pot=$2
  now=$(date +"%H:%M")
  startuptimefile=/home/pi/startup_time_value
  if [ -f "$startuptimefile" ]; then
    startup=`cat "$startuptimefile"`
  fi
  # Display values to output
  echo -e "Startup\t: $startup"
  echo -e "Time\t: $now"
  echo -e "Now\t: $pac watt"
  echo -e "Today\t: $pot kWh"

 for IP in $IPLIST
 do
  ESPADDR="${BASEIP}$IP"
  echo Trying $ESPADDR...
  ping -q -c 1 $ESPADDR >/dev/null
  if [ "$?" = "0" ]; then
    echo Sending output to ESP Display $ESPADDR
#    url=http://${ESPADDR}/control?cmd=OLED,1,$ESPCOL,${ESPLEFT}update%3a%20${now}
    if [ "$ESPFRAMED" != "1" ]; then
      url=http://${ESPADDR}/control?cmd=OLED,2,$ESPCOL,${ESPLEFT}Nu%3a%20${pac}%20Watt%20%20%20
    else
      if [ "$ESPNOW" = "1" ]; then
        url=http://${ESPADDR}/control?cmd=OLEDFRAMEDCMD,1,\'Start%3a+${startup}%2c+Update%3a+${now}\'
        curl --silent --output /dev/null $url
      fi
      url=http://${ESPADDR}/control?cmd=taskvalueset,12,1,${pac}
    fi
    curl --silent --output /dev/null "$url"
    if [ "$pot" != "" ]; then
      if [ "$ESPFRAMED" != "1" ]; then
        url=http://${ESPADDR}/control?cmd=OLED,3,$ESPCOL,${ESPLEFT}Vandaag%3a%20${pot}%20kWh%20%20
      else
        url=http://${ESPADDR}/control?cmd=taskvalueset,12,2,${pot}
#        url=http://${ESPADDR}/control?cmd=OLEDFRAMEDCMD,3,${ESPLEFT}Vandaag%3a%20${pot}%20kWh%20%20
      fi
      curl --silent --output /dev/null "$url"
    fi
  fi

 done
fi
